Debian Bug report logs - #627410
initscript assumes /lib/udev/mtp-probe is there when its not

version graph

Package: libmtp8; Maintainer for libmtp8 is Alessio Treglia <quadrispro@ubuntu.com>;

Reported by: Kevin Mitchell <kevmitch@math.sfu.ca>

Date: Fri, 20 May 2011 12:00:01 UTC

Severity: important

Tags: ipv6, patch

Merged with 624537, 627480

Found in versions libmtp/1.0.6-2, libmtp/1.0.6-4

Fixed in version libmtp/1.0.6-3

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627410; Package udev. (Fri, 20 May 2011 12:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Mitchell <kevmitch@math.sfu.ca>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 12:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Mitchell <kevmitch@math.sfu.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initscript assumes /lib/udev/mtp-probe is there when its not
Date: Fri, 20 May 2011 04:57:32 -0700
Package: udev
Version: 169-1
Severity: normal

During bootup, I was seeing
Fri May 20 04:41:03 2011: udevd[1061]: failed to execute '/lib/udev/mtp-probe' 'mtp-probe /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.4 2 3': No such file or directory

This was remedied by installing the libmtp-runtime package which provideds /lib/udev/mtp-probe'. I wasn't able to determine where exactly the attempt to execute mtp-probe was happening, but it should probably check that the executable is there before executing it if it is not part of the package or a dependency.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39.02 (SMP w/4 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.39      Debian configuration management sy
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.98-1+b1 SELinux runtime shared libraries
ii  libudev0                     169-1       libudev shared library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9.1  Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-9  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- Configuration Files:
/etc/modprobe.d/blacklist.conf changed:
blacklist evbug
blacklist usbmouse
blacklist usbkbd
blacklist eepro100
blacklist de4x5
blacklist am53c974
blacklist iTCO_wdt
blacklist pcspkr
blacklist snd_pcsp 


-- debconf information:
  udev/new_kernel_needed: false
  udev/title/upgrade:
  udev/reboot_needed:
  udev/sysfs_deprecated_incompatibility:




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#627410; Package udev. (Fri, 20 May 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 20 May 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 627410@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Kevin Mitchell <kevmitch@math.sfu.ca>, 627410@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#627410: initscript assumes /lib/udev/mtp-probe is there when its not
Date: Fri, 20 May 2011 17:24:23 +0200
[Message part 1 (text/plain, inline)]
reassign 627410 libmtp8
thanks

On May 20, Kevin Mitchell <kevmitch@math.sfu.ca> wrote:

> This was remedied by installing the libmtp-runtime package which provideds /lib/udev/mtp-probe'. I wasn't able to determine where exactly the attempt to execute mtp-probe was happening, but it should probably check that the executable is there before executing it if it is not part of the package or a dependency.

No, libmtp8 should deal with this.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'udev' to 'libmtp8'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Fri, 20 May 2011 15:27:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions udev/169-1. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Fri, 20 May 2011 15:27:05 GMT) Full text and rfc822 format available.

Forcibly Merged 624537 627410. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 20 May 2011 15:57:10 GMT) Full text and rfc822 format available.

Forcibly Merged 624537 627410 627480. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 08:27:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Sep 2011 07:29:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 21:30:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:29:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.